<%@ page contentType="text/html; charset=GBK"  errorPage="../error.jsp" %>
<%@ page import = "zr.zrpower.entity.sys.SessionUser"%>
<%@ page import = "zr.zrpower.common.util.SysPreperty"%>
<%@ page import = "zr.zrpower.flowengine.service.FlowControl"%>

<%@ page import = "zr.zrpower.ejb.sys.UIService"%>
<html>
<head>
<%
  SessionUser user = (SessionUser)session.getAttribute("userinfo");
  FlowControl FControl = new FlowControl();
  UIService userUI =new UIService();
  String strUnitid = "_";
  String strUserList = FControl.GetShowUnitUserList(strUnitid,"record",user.getUserImage(),"flowuser.gif","2");

%>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<title></title>
<link REL="stylesheet" type="text/css" href="../../zrsysmanage/css/<%=user.getUserCSS()%>">
<SCRIPT LANGUAGE="JavaScript" src="../../zrsysmanage/script/Public.js"></SCRIPT>
<SCRIPT LANGUAGE="javascript">
//作用：全选
function selectall(){
  var setcheck,length;
  length = document.recordfrm.elements.length ;
  if (document.recordfrm.setall.value == 0){
    document.recordfrm.setall.value = 1;
    setcheck = true;
  }else{
    document.recordfrm.setall.value = 0;
    setcheck = false;
  }
  for (var i=0; i<length; i++) {
    if (document.recordfrm.elements[i].name.indexOf("record") != -1)
      document.recordfrm.elements[i].checked = setcheck;
  }
  return;
}

//作用：获取记录
function GetUserNo(){
  var length = document.recordfrm.elements.length;
  var recordindex = "";
  var selectedstring = "";
  var strValue= "";
  for (var i=0;i<length;i++){
    recordindex  = document.recordfrm.elements[i].name.indexOf("record");
    if (recordindex  != -1) {
      if (document.recordfrm.elements[i].checked){
        strValue = document.recordfrm.elements[i].value;
        intValue = strValue.length;
        if (selectedstring == ""){
          selectedstring = strValue;
        }else{
          selectedstring = selectedstring  + "," + strValue;
        }
      }
    }
  }

  if (selectedstring != "") {
      window.returnValue = selectedstring;
      return selectedstring;
  }else {
      alert("请选择要提交操作的用户!");
  }
  return;
}

function selectOnclick(id)
{
    if (document.getElementById(id).checked==true)
    {document.getElementById(id).checked='';}
    else
    {document.getElementById(id).checked='checked';}
}

</script>
</head>
<BODY class="BodyMain">
<FORM method="post" name="recordfrm" action="">
<input type="hidden" name="setall" value="0">

        <TABLE  border="0" width="200px" cellpadding=0 cellspacing=0>
          <%=strUserList%>
        </TABLE>
     
</form>
</body>
</html>
<%
//清空相关对象
user = null;
userUI = null;
FControl = null;
%>
